package com.fjs.scenic.mapper.user;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.fjs.scenic.entity.user.LinkMan;

public interface LinkManMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(LinkMan record);

    int insertSelective(LinkMan record);

    LinkMan selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(LinkMan record);

    int updateByPrimaryKey(LinkMan record);
    
    List<LinkMan> select(LinkMan record);
    
    int delete(LinkMan record);
    
    int updateByParam(Map<String, String> params);
    
    List<LinkMan> selectByParam(Map<String, String> params);
    
    int getLinkManCount(@Param("userId") Integer userId);
}